summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
authorIngo Meyer2020-08-13 09:28:01 +0200
committerIngo Meyer2020-08-13 09:28:01 +0200
commit4cbbdbdead7277ed916149a68567adbb1f19049e (patch)
tree57ee32d71a179a54f43110b55ef53d561245bf0b /PKGBUILD
parentd7596d9781a3d4a0123e91072f009583834a5c23 (diff)
downloadaur-4cbbdbdead7277ed916149a68567adbb1f19049e.tar.gz
Build `gr.js` if emscripten is available
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD8
1 files changed, 7 insertions, 1 deletions
diff --git a/PKGBUILD b/PKGBUILD
index 2ed8079a825..957b52a53be 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -2,7 +2,7 @@
pkgname="gr-framework"
pkgver="0.51.2"
-pkgrel="3"
+pkgrel="4"
pkgdesc="A universal framework for cross-platform visualization applications."
arch=("i686" "x86_64" "armv6h" "armv7h" "aarch64")
url="https://gr-framework.org"
@@ -28,9 +28,15 @@ build() {
-S . \
-B build && \
cmake --build build
+ if command -v >/dev/null 2>&1; then
+ emmake make -C js || return
+ fi
}
package() {
cd "${srcdir}/gr-${pkgver}" || return
DESTDIR="${pkgdir}" cmake --install build
+ if [[ -f "js/gr.js" ]]; then
+ cp "js/gr.js" "${pkgdir}/usr/gr/lib/" || return
+ fi
}